Vulnerability CVE-2002-1318


Published: 2002-12-11   Modified: 2012-02-12

Description:
Buffer overflow in samba 2.2.2 through 2.2.6 allows remote attackers to cause a denial of service and possibly execute arbitrary code via an encrypted password that causes the overflow during decryption in which a DOS codepage string is converted to a little-endian UCS2 unicode string.

Type:

CWE-Other

CVSS2 => (AV:N/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
10/10
10/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
SGI -> IRIX 
Samba -> Samba 
HP -> Cifs-9000 server 

 References:
ftp://patches.sgi.com/support/free/security/advisories/20021204-01-I
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000550
http://marc.info/?l=bugtraq&m=103801986818076&w=2
http://marc.info/?l=bugtraq&m=103859045302448&w=2
http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert/53580
http://us1.samba.org/samba/whatsnew/samba-2.2.7.html
http://www.ciac.org/ciac/bulletins/n-019.shtml
http://www.ciac.org/ciac/bulletins/n-023.shtml
http://www.debian.org/security/2002/dsa-200
http://www.kb.cert.org/vuls/id/958321
http://www.linux-mandrake.com/en/security/2002/MDKSA-2002-081.php
http://www.novell.com/linux/security/advisories/2002_045_samba.html
http://www.redhat.com/support/errata/RHSA-2002-266.html
http://www.securityfocus.com/bid/6210
https://exchange.xforce.ibmcloud.com/vulnerabilities/10683
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A1467

Copyright 2020, cxsecurity.com

 

Back to Top